namespace Greg.XmlEditor
{
	/// <summary>
	/// Generic application starter interface.
	/// </summary>
	public interface IBootstrapper
	{
		/// <summary>
		/// Boots the application.
		/// </summary>
		/// <param name="args">
		/// Parameters for the application startup.
		/// </param>
		void Boot(params string[] args);
	}
}