﻿using Greg.XmlEditor.Model;

namespace Greg.XmlEditor.Presentation.Presenters
{
	public abstract class ChildDocumentPresenterBase : DocumentPresenterBase
	{
		private readonly DocumentPresenter parent;

		protected ChildDocumentPresenterBase(DocumentBase document, DocumentPresenter parent) 
			: base(document)
		{
			this.parent = parent;
		}


		public DocumentPresenter Document
		{
			get { return this.parent; }
		}
	}
}
