﻿using System.Windows.Forms;

namespace Greg.XmlEditor.Presentation
{
	public interface IInteractionManager
	{
		DialogResult AskIfSaveDocument();
		void ShowError(string errorMessage);
		bool AskWhereToSaveFile(ref string fileName);
		bool AskFromWhereOpenFile(ref string fileName);
		bool AskForSchemaFile(ref string fileName);
		bool AskForStyleFile(ref string fileName);
		bool AskIfSaveFilesOnClose();
		bool AskIfCancelClosing();
		void ShowTrasformedDocument(string trasformedFilePath);
	}
}
